Bug 114693 - redhat-config-bind adds extra IN statement when savine zone files
redhat-config-bind adds extra IN statement when savine zone files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-config-bind (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-31 12:25 EST by Bill Weinel
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 09:25:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Weinel 2004-01-31 12:25:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When using redhat-config-bind to open (or edit) a forward zone file,
upon hitting the save button, redhat-config-bind saves the zone file
with an extra IN statement in all A entries.

Example: Here is the original forward zone file for my private zone
before opening and saving with redhat-config-bind:

$TTL 86400
@       IN      SOA     mimbar.dyndns.org.      root.mimbar.dyndns.org. (
                                45 ; serial
                                28800 ; refresh
                                14400 ; retry
                                3600000 ; expire
                                86400 ; ttl
                                )



@       IN      NS      mimbar

router  IN      A       192.168.0.1
speedy  IN      A       192.168.0.2
arthur  IN      A       192.168.0.3
marvin  IN      A       192.168.0.4


Here is the forward zone file after opening and saving with
redhat-config-bind:

$TTL 86400
@       IN      SOA     mimbar.dyndns.org.      root.mimbar.dyndns.org. (
                                47 ; serial
                                28800 ; refresh
                                14400 ; retry
                                3600000 ; expire
                                86400 ; ttl
                                )



@       IN      NS      mimbar

router  IN      IN      A       192.168.0.1
speedy  IN      IN      A       192.168.0.2
arthur  IN      IN      A       192.168.0.3
marvin  IN      IN      A       192.168.0.4

No changes were made while in redhat-config-bind other than opening
the file and saving it. I did try entering a few new lines to see if
that affected the outcome. It still did the same thing.

Version-Release number of selected component (if applicable):
2.0.0

How reproducible:
Always

Steps to Reproduce:
1. open zone file with redhat-config-bind from desktop.
2. click save button in redhat-config-bind.
3. A records in file are corrupted on saving.
    

Additional info:
Comment 1 Daniel Walsh 2004-02-11 09:25:16 EST
Please try system-config-bind in rawhide.  It has been renamed.

Note You need to log in before you can comment on or make changes to this bug.